Loading...
Searching...
No Matches
BALL::ReferenceArea Class Reference

`#include <BALL/DOCKING/COMMON/constraints.h>`

Inheritance diagram for BALL::ReferenceArea:

## Public Member Functions

| ReferenceArea ()
| ~ReferenceArea ()
| ReferenceArea (Vector3 &p1, Vector3 &p2, Vector3 &p3, Vector3 &p4, bool atom_fraction, double atoms, double penalty)
| ReferenceArea (Vector3 &p1, Vector3 &p2, int y_expansion, int z_expansion, bool atom_fraction, double atoms, double penalty)
| ReferenceArea (const AtomContainer *sys, bool atom_fraction, double atoms, double penalty)
| ReferenceArea (list< const AtomContainer * > &container_list, const list< String > &interaction_types, double desired_interaction_score, double penalt)
double | calculateScore (AtomContainer *mol)
double | getContainedAtoms ()
System * | createBoundaryMolecule ()
void | enlarge (double angstroem)
void | setNumberDesiredAtoms (double d)
void | setName (String name)
void | setScoringFunction (ScoringFunction *sf)
Public Member Functions inherited from BALL::Constraint
| Constraint ()
virtual | ~Constraint ()
String | getName ()
String | getType ()

## Friends

class | BALL::DockingAlgorithm
class | BALL::VIEW::DockRLDialog

## Additional Inherited Members

Protected Attributes inherited from BALL::Constraint
String | name_
String | type_
double | penalty_
ScoringFunction * | scoring_function_

## Detailed Description

ReferenceAreas are cuboids specified by the user for the examined target structure. A given number of ligand atoms or a given fraction of the ligand atoms should be located within these areas, so that docking is optimized in this way.

Definition at line 71 of file constraints.h.

## Constructor & Destructor Documentation

## ReferenceArea() [1/5]

BALL::ReferenceArea::ReferenceArea | ( |  | ) |

## ~ReferenceArea()

BALL::ReferenceArea::~ReferenceArea | ( |  | ) |

## ReferenceArea() [2/5]

BALL::ReferenceArea::ReferenceArea | ( | Vector3 & | p1,
|  | Vector3 & | p2,
|  | Vector3 & | p3,
|  | Vector3 & | p4,
|  | bool | atom_fraction,
|  | double | atoms,
|  | double | penalty )

Constructor. Creates a ReferenceArea from 4 given points, that describe a cuboid.
Of those four given points, p1 should be located on the same edge as p2, p3 on the same egde as p2 and p4 on the same edge as p3.

## ReferenceArea() [3/5]

BALL::ReferenceArea::ReferenceArea | ( | Vector3 & | p1,
|  | Vector3 & | p2,
|  | int | y_expansion,
|  | int | z_expansion,
|  | bool | atom_fraction,
|  | double | atoms,
|  | double | penalty )

Constructor. Creates a ReferenceArea from 2 points that describe one side of the cuboid and the the desired expansion of the cubiod along the x- and y-axes of a right handed coordinate system (after transformation)

## ReferenceArea() [4/5]

BALL::ReferenceArea::ReferenceArea | ( | const AtomContainer * | sys,
|  | bool | atom_fraction,
|  | double | atoms,
|  | double | penalty )

Constructor that creates a ReferenceArea describing the area occupied by a given AtomContainer

## ReferenceArea() [5/5]

BALL::ReferenceArea::ReferenceArea | ( | list< const AtomContainer * > & | container_list,
|  | const list< String > & | interaction_types,
|  | double | desired_interaction_score,
|  | double | penalt )

## Member Function Documentation

## calculateScore()

double BALL::ReferenceArea::calculateScore | ( | AtomContainer * | mol | ) |

virtual

calculates a penalty for the given AtomContainer

Implements BALL::Constraint.

## createBoundaryMolecule()

System * BALL::ReferenceArea::createBoundaryMolecule | ( |  | ) |

Creates a molecule with four atoms located on the bonders of the cube that this ReferenceArea describes.
This can be used for visualization purposes.

Returns
  the created System if this ReferenceArea contains a valid ref-area description; else NULL is returned.

## enlarge()

void BALL::ReferenceArea::enlarge | ( | double | angstroem | ) |

Enlarge this ReferenceArea by the given amount in all directions

## getContainedAtoms()

double BALL::ReferenceArea::getContainedAtoms | ( |  | ) |

returns the number of atoms located within this ReferenceAreas as calculated by the last call of getScore() (respectively ScoringFunction::updateScore() )

## setName()

void BALL::ReferenceArea::setName | ( | String | name | ) |

virtual

Set a name for this ReferenceArea. This way, the score summary printed by the ScoringFunction can be analyzed more easily

Reimplemented from BALL::Constraint.

## setNumberDesiredAtoms()

void BALL::ReferenceArea::setNumberDesiredAtoms | ( | double | d | ) |

Sets the number resp. fraction of atoms of a ligand that should be contained in this ReferenceArea

## setScoringFunction()

void BALL::ReferenceArea::setScoringFunction | ( | ScoringFunction * | sf | ) |

virtual

Reimplemented from BALL::Constraint.

## Friends And Related Symbol Documentation

## BALL::DockingAlgorithm

friend class BALL::DockingAlgorithm

friend

Definition at line 137 of file constraints.h.

## BALL::VIEW::DockRLDialog

friend class BALL::VIEW::DockRLDialog

friend

Definition at line 138 of file constraints.h.